package com.fastest.pass.forgotpassword.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.forgotpassword.utils.ForgotPasswordConfirmRoute
import kotlinx.coroutines.flow.MutableStateFlow

class ForgotPasswordConfirmViewModel : ViewModel() {

    private val _router = MutableStateFlow<ForgotPasswordConfirmRoute>(ForgotPasswordConfirmRoute.OpenNoneScreen)
    val router: MutableStateFlow<ForgotPasswordConfirmRoute> = _router

    fun navigateTo(forgotPasswordConfirmRoute: ForgotPasswordConfirmRoute) {
        _router.value = forgotPasswordConfirmRoute
    }
}